package com.ruoyi.platform.service;

import com.ruoyi.platform.domain.ActiveLearnIns;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;

import java.io.IOException;
import java.io.UnsupportedEncodingException;
import java.util.List;

public interface ActiveLearnInsService {
    Page<ActiveLearnIns> queryByPage(Long activeLearnId, PageRequest pageRequest) throws IOException;

    ActiveLearnIns insert(ActiveLearnIns activeLearnIns);

    ActiveLearnIns update(ActiveLearnIns activeLearnIns);

    String deleteById(Long id);

    String batchDelete(List<Long> ids);

    boolean terminateActiveLearnIns(Long id) throws Exception;

    ActiveLearnIns getDetailById(Long id) throws Exception;

    void updateActiveLearnStatus(Long activeLearnId);

    ActiveLearnIns queryStatusFromArgo(ActiveLearnIns ins);

    List<ActiveLearnIns> queryActiveLearnInsIsNotTerminated();

    String getExpMetrics(String experimentInsId) throws Exception;
}
